MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025442Open CASCADE[OCCT] OCCT:Visualizationpublic2014-11-01 10:292015-07-27 12:10
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 8OS Version64 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025442: Visualization, TKOpenGl - prevent inclusion of system header glxext.h
DescriptionThere are compilation errors appear due to headers conflict.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033998)
git (administrator)
2014-11-01 11:18

Branch CR25442 has been created by kgv.

SHA-1: 5aeedd9c799790967dd6a9cc816d59f013f6a16a


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 20:42:31 2014 -0400

    0025442: Visualization, TKOpenGl - prevent inclusion of system header glxext.h
    
    Define GLX_GLXEXT_LEGACY in addition to GL_GLEXT_LEGACY to prevent implicit
    inclusion of header GL/glxext.h by system header GL/glx.h
    
    Update glext.t to current state.
(0033999)
kgv (developer)
2014-11-01 11:19

Please check compilation of the patch in branch CR25442 on all supported platforms (including OS X). No need to execute regression tests.
(0034191)
git (administrator)
2014-11-10 09:58

Branch CR25442 has been deleted by kgv.

SHA-1: 5aeedd9c799790967dd6a9cc816d59f013f6a16a
(0043451)
git (administrator)
2015-07-27 11:56

Branch CR25442_2 has been created by ifv.

SHA-1: 9c55c5667433e38070016377c6ba926bce283c6f


Detailed log of new commits:

Author: ifv
Date: Mon Jul 20 15:21:41 2015 +0300

    0026442: Access violation in BRepOffset_MakeOffset
    
    Conflicts:
        src/BRepOffset/BRepOffset_Offset.cxx
(0043456)
git (administrator)
2015-07-27 12:10

Branch CR25442_2 has been deleted by ifv.

SHA-1: 9c55c5667433e38070016377c6ba926bce283c6f

- Related Changesets
occt: master 00ea319b
Timestamp: 2014-11-01 00:42:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025442: Visualization, TKOpenGl - prevent inclusion of system header glxext.h

Define GLX_GLXEXT_LEGACY in addition to GL_GLEXT_LEGACY to prevent implicit
inclusion of header GL/glxext.h by system header GL/glx.h

Update glext.t to current state.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-01 10:29 kgv New Issue
2014-11-01 10:29 kgv Assigned To => kgv
2014-11-01 11:18 git Note Added: 0033998
2014-11-01 11:19 kgv Note Added: 0033999
2014-11-01 11:19 kgv Assigned To kgv => bugmaster
2014-11-01 11:19 kgv Status new => resolved
2014-11-01 11:19 kgv Status resolved => reviewed
2014-11-05 16:32 bugmaster Status reviewed => tested
2014-11-06 10:50 bugmaster Test case number => Not needed
2014-11-06 15:18 bugmaster Changeset attached => occt master 00ea319b
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-10 09:58 git Note Added: 0034191
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2015-07-27 11:56 git Note Added: 0043451
2015-07-27 12:10 git Note Added: 0043456


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker